package com.weiqi.mis.domain;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class WxXrPemsOrderExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public WxXrPemsOrderExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("ID is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("ID is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("ID =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("ID <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("ID >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("ID >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("ID <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("ID <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("ID in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("ID not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("ID between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("ID not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andOrdernoIsNull() {
            addCriterion("OrderNo is null");
            return (Criteria) this;
        }

        public Criteria andOrdernoIsNotNull() {
            addCriterion("OrderNo is not null");
            return (Criteria) this;
        }

        public Criteria andOrdernoEqualTo(String value) {
            addCriterion("OrderNo =", value, "orderno");
            return (Criteria) this;
        }

        public Criteria andOrdernoNotEqualTo(String value) {
            addCriterion("OrderNo <>", value, "orderno");
            return (Criteria) this;
        }

        public Criteria andOrdernoGreaterThan(String value) {
            addCriterion("OrderNo >", value, "orderno");
            return (Criteria) this;
        }

        public Criteria andOrdernoGreaterThanOrEqualTo(String value) {
            addCriterion("OrderNo >=", value, "orderno");
            return (Criteria) this;
        }

        public Criteria andOrdernoLessThan(String value) {
            addCriterion("OrderNo <", value, "orderno");
            return (Criteria) this;
        }

        public Criteria andOrdernoLessThanOrEqualTo(String value) {
            addCriterion("OrderNo <=", value, "orderno");
            return (Criteria) this;
        }

        public Criteria andOrdernoLike(String value) {
            addCriterion("OrderNo like", value, "orderno");
            return (Criteria) this;
        }

        public Criteria andOrdernoNotLike(String value) {
            addCriterion("OrderNo not like", value, "orderno");
            return (Criteria) this;
        }

        public Criteria andOrdernoIn(List<String> values) {
            addCriterion("OrderNo in", values, "orderno");
            return (Criteria) this;
        }

        public Criteria andOrdernoNotIn(List<String> values) {
            addCriterion("OrderNo not in", values, "orderno");
            return (Criteria) this;
        }

        public Criteria andOrdernoBetween(String value1, String value2) {
            addCriterion("OrderNo between", value1, value2, "orderno");
            return (Criteria) this;
        }

        public Criteria andOrdernoNotBetween(String value1, String value2) {
            addCriterion("OrderNo not between", value1, value2, "orderno");
            return (Criteria) this;
        }

        public Criteria andMidIsNull() {
            addCriterion("MID is null");
            return (Criteria) this;
        }

        public Criteria andMidIsNotNull() {
            addCriterion("MID is not null");
            return (Criteria) this;
        }

        public Criteria andMidEqualTo(Integer value) {
            addCriterion("MID =", value, "mid");
            return (Criteria) this;
        }

        public Criteria andMidNotEqualTo(Integer value) {
            addCriterion("MID <>", value, "mid");
            return (Criteria) this;
        }

        public Criteria andMidGreaterThan(Integer value) {
            addCriterion("MID >", value, "mid");
            return (Criteria) this;
        }

        public Criteria andMidGreaterThanOrEqualTo(Integer value) {
            addCriterion("MID >=", value, "mid");
            return (Criteria) this;
        }

        public Criteria andMidLessThan(Integer value) {
            addCriterion("MID <", value, "mid");
            return (Criteria) this;
        }

        public Criteria andMidLessThanOrEqualTo(Integer value) {
            addCriterion("MID <=", value, "mid");
            return (Criteria) this;
        }

        public Criteria andMidIn(List<Integer> values) {
            addCriterion("MID in", values, "mid");
            return (Criteria) this;
        }

        public Criteria andMidNotIn(List<Integer> values) {
            addCriterion("MID not in", values, "mid");
            return (Criteria) this;
        }

        public Criteria andMidBetween(Integer value1, Integer value2) {
            addCriterion("MID between", value1, value2, "mid");
            return (Criteria) this;
        }

        public Criteria andMidNotBetween(Integer value1, Integer value2) {
            addCriterion("MID not between", value1, value2, "mid");
            return (Criteria) this;
        }

        public Criteria andMnameIsNull() {
            addCriterion("MName is null");
            return (Criteria) this;
        }

        public Criteria andMnameIsNotNull() {
            addCriterion("MName is not null");
            return (Criteria) this;
        }

        public Criteria andMnameEqualTo(String value) {
            addCriterion("MName =", value, "mname");
            return (Criteria) this;
        }

        public Criteria andMnameNotEqualTo(String value) {
            addCriterion("MName <>", value, "mname");
            return (Criteria) this;
        }

        public Criteria andMnameGreaterThan(String value) {
            addCriterion("MName >", value, "mname");
            return (Criteria) this;
        }

        public Criteria andMnameGreaterThanOrEqualTo(String value) {
            addCriterion("MName >=", value, "mname");
            return (Criteria) this;
        }

        public Criteria andMnameLessThan(String value) {
            addCriterion("MName <", value, "mname");
            return (Criteria) this;
        }

        public Criteria andMnameLessThanOrEqualTo(String value) {
            addCriterion("MName <=", value, "mname");
            return (Criteria) this;
        }

        public Criteria andMnameLike(String value) {
            addCriterion("MName like", value, "mname");
            return (Criteria) this;
        }

        public Criteria andMnameNotLike(String value) {
            addCriterion("MName not like", value, "mname");
            return (Criteria) this;
        }

        public Criteria andMnameIn(List<String> values) {
            addCriterion("MName in", values, "mname");
            return (Criteria) this;
        }

        public Criteria andMnameNotIn(List<String> values) {
            addCriterion("MName not in", values, "mname");
            return (Criteria) this;
        }

        public Criteria andMnameBetween(String value1, String value2) {
            addCriterion("MName between", value1, value2, "mname");
            return (Criteria) this;
        }

        public Criteria andMnameNotBetween(String value1, String value2) {
            addCriterion("MName not between", value1, value2, "mname");
            return (Criteria) this;
        }

        public Criteria andOrderuseridIsNull() {
            addCriterion("OrderUserId is null");
            return (Criteria) this;
        }

        public Criteria andOrderuseridIsNotNull() {
            addCriterion("OrderUserId is not null");
            return (Criteria) this;
        }

        public Criteria andOrderuseridEqualTo(Integer value) {
            addCriterion("OrderUserId =", value, "orderuserid");
            return (Criteria) this;
        }

        public Criteria andOrderuseridNotEqualTo(Integer value) {
            addCriterion("OrderUserId <>", value, "orderuserid");
            return (Criteria) this;
        }

        public Criteria andOrderuseridGreaterThan(Integer value) {
            addCriterion("OrderUserId >", value, "orderuserid");
            return (Criteria) this;
        }

        public Criteria andOrderuseridGreaterThanOrEqualTo(Integer value) {
            addCriterion("OrderUserId >=", value, "orderuserid");
            return (Criteria) this;
        }

        public Criteria andOrderuseridLessThan(Integer value) {
            addCriterion("OrderUserId <", value, "orderuserid");
            return (Criteria) this;
        }

        public Criteria andOrderuseridLessThanOrEqualTo(Integer value) {
            addCriterion("OrderUserId <=", value, "orderuserid");
            return (Criteria) this;
        }

        public Criteria andOrderuseridIn(List<Integer> values) {
            addCriterion("OrderUserId in", values, "orderuserid");
            return (Criteria) this;
        }

        public Criteria andOrderuseridNotIn(List<Integer> values) {
            addCriterion("OrderUserId not in", values, "orderuserid");
            return (Criteria) this;
        }

        public Criteria andOrderuseridBetween(Integer value1, Integer value2) {
            addCriterion("OrderUserId between", value1, value2, "orderuserid");
            return (Criteria) this;
        }

        public Criteria andOrderuseridNotBetween(Integer value1, Integer value2) {
            addCriterion("OrderUserId not between", value1, value2, "orderuserid");
            return (Criteria) this;
        }

        public Criteria andOrderusernameIsNull() {
            addCriterion("OrderUserName is null");
            return (Criteria) this;
        }

        public Criteria andOrderusernameIsNotNull() {
            addCriterion("OrderUserName is not null");
            return (Criteria) this;
        }

        public Criteria andOrderusernameEqualTo(String value) {
            addCriterion("OrderUserName =", value, "orderusername");
            return (Criteria) this;
        }

        public Criteria andOrderusernameNotEqualTo(String value) {
            addCriterion("OrderUserName <>", value, "orderusername");
            return (Criteria) this;
        }

        public Criteria andOrderusernameGreaterThan(String value) {
            addCriterion("OrderUserName >", value, "orderusername");
            return (Criteria) this;
        }

        public Criteria andOrderusernameGreaterThanOrEqualTo(String value) {
            addCriterion("OrderUserName >=", value, "orderusername");
            return (Criteria) this;
        }

        public Criteria andOrderusernameLessThan(String value) {
            addCriterion("OrderUserName <", value, "orderusername");
            return (Criteria) this;
        }

        public Criteria andOrderusernameLessThanOrEqualTo(String value) {
            addCriterion("OrderUserName <=", value, "orderusername");
            return (Criteria) this;
        }

        public Criteria andOrderusernameLike(String value) {
            addCriterion("OrderUserName like", value, "orderusername");
            return (Criteria) this;
        }

        public Criteria andOrderusernameNotLike(String value) {
            addCriterion("OrderUserName not like", value, "orderusername");
            return (Criteria) this;
        }

        public Criteria andOrderusernameIn(List<String> values) {
            addCriterion("OrderUserName in", values, "orderusername");
            return (Criteria) this;
        }

        public Criteria andOrderusernameNotIn(List<String> values) {
            addCriterion("OrderUserName not in", values, "orderusername");
            return (Criteria) this;
        }

        public Criteria andOrderusernameBetween(String value1, String value2) {
            addCriterion("OrderUserName between", value1, value2, "orderusername");
            return (Criteria) this;
        }

        public Criteria andOrderusernameNotBetween(String value1, String value2) {
            addCriterion("OrderUserName not between", value1, value2, "orderusername");
            return (Criteria) this;
        }

        public Criteria andAdmissiontimeIsNull() {
            addCriterion("AdmissionTime is null");
            return (Criteria) this;
        }

        public Criteria andAdmissiontimeIsNotNull() {
            addCriterion("AdmissionTime is not null");
            return (Criteria) this;
        }

        public Criteria andAdmissiontimeEqualTo(Date value) {
            addCriterion("AdmissionTime =", value, "admissiontime");
            return (Criteria) this;
        }

        public Criteria andAdmissiontimeNotEqualTo(Date value) {
            addCriterion("AdmissionTime <>", value, "admissiontime");
            return (Criteria) this;
        }

        public Criteria andAdmissiontimeGreaterThan(Date value) {
            addCriterion("AdmissionTime >", value, "admissiontime");
            return (Criteria) this;
        }

        public Criteria andAdmissiontimeGreaterThanOrEqualTo(Date value) {
            addCriterion("AdmissionTime >=", value, "admissiontime");
            return (Criteria) this;
        }

        public Criteria andAdmissiontimeLessThan(Date value) {
            addCriterion("AdmissionTime <", value, "admissiontime");
            return (Criteria) this;
        }

        public Criteria andAdmissiontimeLessThanOrEqualTo(Date value) {
            addCriterion("AdmissionTime <=", value, "admissiontime");
            return (Criteria) this;
        }

        public Criteria andAdmissiontimeIn(List<Date> values) {
            addCriterion("AdmissionTime in", values, "admissiontime");
            return (Criteria) this;
        }

        public Criteria andAdmissiontimeNotIn(List<Date> values) {
            addCriterion("AdmissionTime not in", values, "admissiontime");
            return (Criteria) this;
        }

        public Criteria andAdmissiontimeBetween(Date value1, Date value2) {
            addCriterion("AdmissionTime between", value1, value2, "admissiontime");
            return (Criteria) this;
        }

        public Criteria andAdmissiontimeNotBetween(Date value1, Date value2) {
            addCriterion("AdmissionTime not between", value1, value2, "admissiontime");
            return (Criteria) this;
        }

        public Criteria andConstructionstarttimeIsNull() {
            addCriterion("ConstructionStartTime is null");
            return (Criteria) this;
        }

        public Criteria andConstructionstarttimeIsNotNull() {
            addCriterion("ConstructionStartTime is not null");
            return (Criteria) this;
        }

        public Criteria andConstructionstarttimeEqualTo(Date value) {
            addCriterion("ConstructionStartTime =", value, "constructionstarttime");
            return (Criteria) this;
        }

        public Criteria andConstructionstarttimeNotEqualTo(Date value) {
            addCriterion("ConstructionStartTime <>", value, "constructionstarttime");
            return (Criteria) this;
        }

        public Criteria andConstructionstarttimeGreaterThan(Date value) {
            addCriterion("ConstructionStartTime >", value, "constructionstarttime");
            return (Criteria) this;
        }

        public Criteria andConstructionstarttimeGreaterThanOrEqualTo(Date value) {
            addCriterion("ConstructionStartTime >=", value, "constructionstarttime");
            return (Criteria) this;
        }

        public Criteria andConstructionstarttimeLessThan(Date value) {
            addCriterion("ConstructionStartTime <", value, "constructionstarttime");
            return (Criteria) this;
        }

        public Criteria andConstructionstarttimeLessThanOrEqualTo(Date value) {
            addCriterion("ConstructionStartTime <=", value, "constructionstarttime");
            return (Criteria) this;
        }

        public Criteria andConstructionstarttimeIn(List<Date> values) {
            addCriterion("ConstructionStartTime in", values, "constructionstarttime");
            return (Criteria) this;
        }

        public Criteria andConstructionstarttimeNotIn(List<Date> values) {
            addCriterion("ConstructionStartTime not in", values, "constructionstarttime");
            return (Criteria) this;
        }

        public Criteria andConstructionstarttimeBetween(Date value1, Date value2) {
            addCriterion("ConstructionStartTime between", value1, value2, "constructionstarttime");
            return (Criteria) this;
        }

        public Criteria andConstructionstarttimeNotBetween(Date value1, Date value2) {
            addCriterion("ConstructionStartTime not between", value1, value2, "constructionstarttime");
            return (Criteria) this;
        }

        public Criteria andPlatenumberIsNull() {
            addCriterion("PlateNumber is null");
            return (Criteria) this;
        }

        public Criteria andPlatenumberIsNotNull() {
            addCriterion("PlateNumber is not null");
            return (Criteria) this;
        }

        public Criteria andPlatenumberEqualTo(String value) {
            addCriterion("PlateNumber =", value, "platenumber");
            return (Criteria) this;
        }

        public Criteria andPlatenumberNotEqualTo(String value) {
            addCriterion("PlateNumber <>", value, "platenumber");
            return (Criteria) this;
        }

        public Criteria andPlatenumberGreaterThan(String value) {
            addCriterion("PlateNumber >", value, "platenumber");
            return (Criteria) this;
        }

        public Criteria andPlatenumberGreaterThanOrEqualTo(String value) {
            addCriterion("PlateNumber >=", value, "platenumber");
            return (Criteria) this;
        }

        public Criteria andPlatenumberLessThan(String value) {
            addCriterion("PlateNumber <", value, "platenumber");
            return (Criteria) this;
        }

        public Criteria andPlatenumberLessThanOrEqualTo(String value) {
            addCriterion("PlateNumber <=", value, "platenumber");
            return (Criteria) this;
        }

        public Criteria andPlatenumberLike(String value) {
            addCriterion("PlateNumber like", value, "platenumber");
            return (Criteria) this;
        }

        public Criteria andPlatenumberNotLike(String value) {
            addCriterion("PlateNumber not like", value, "platenumber");
            return (Criteria) this;
        }

        public Criteria andPlatenumberIn(List<String> values) {
            addCriterion("PlateNumber in", values, "platenumber");
            return (Criteria) this;
        }

        public Criteria andPlatenumberNotIn(List<String> values) {
            addCriterion("PlateNumber not in", values, "platenumber");
            return (Criteria) this;
        }

        public Criteria andPlatenumberBetween(String value1, String value2) {
            addCriterion("PlateNumber between", value1, value2, "platenumber");
            return (Criteria) this;
        }

        public Criteria andPlatenumberNotBetween(String value1, String value2) {
            addCriterion("PlateNumber not between", value1, value2, "platenumber");
            return (Criteria) this;
        }

        public Criteria andVinIsNull() {
            addCriterion("VIN is null");
            return (Criteria) this;
        }

        public Criteria andVinIsNotNull() {
            addCriterion("VIN is not null");
            return (Criteria) this;
        }

        public Criteria andVinEqualTo(String value) {
            addCriterion("VIN =", value, "vin");
            return (Criteria) this;
        }

        public Criteria andVinNotEqualTo(String value) {
            addCriterion("VIN <>", value, "vin");
            return (Criteria) this;
        }

        public Criteria andVinGreaterThan(String value) {
            addCriterion("VIN >", value, "vin");
            return (Criteria) this;
        }

        public Criteria andVinGreaterThanOrEqualTo(String value) {
            addCriterion("VIN >=", value, "vin");
            return (Criteria) this;
        }

        public Criteria andVinLessThan(String value) {
            addCriterion("VIN <", value, "vin");
            return (Criteria) this;
        }

        public Criteria andVinLessThanOrEqualTo(String value) {
            addCriterion("VIN <=", value, "vin");
            return (Criteria) this;
        }

        public Criteria andVinLike(String value) {
            addCriterion("VIN like", value, "vin");
            return (Criteria) this;
        }

        public Criteria andVinNotLike(String value) {
            addCriterion("VIN not like", value, "vin");
            return (Criteria) this;
        }

        public Criteria andVinIn(List<String> values) {
            addCriterion("VIN in", values, "vin");
            return (Criteria) this;
        }

        public Criteria andVinNotIn(List<String> values) {
            addCriterion("VIN not in", values, "vin");
            return (Criteria) this;
        }

        public Criteria andVinBetween(String value1, String value2) {
            addCriterion("VIN between", value1, value2, "vin");
            return (Criteria) this;
        }

        public Criteria andVinNotBetween(String value1, String value2) {
            addCriterion("VIN not between", value1, value2, "vin");
            return (Criteria) this;
        }

        public Criteria andRegistertimeIsNull() {
            addCriterion("RegisterTime is null");
            return (Criteria) this;
        }

        public Criteria andRegistertimeIsNotNull() {
            addCriterion("RegisterTime is not null");
            return (Criteria) this;
        }

        public Criteria andRegistertimeEqualTo(String value) {
            addCriterion("RegisterTime =", value, "registertime");
            return (Criteria) this;
        }

        public Criteria andRegistertimeNotEqualTo(String value) {
            addCriterion("RegisterTime <>", value, "registertime");
            return (Criteria) this;
        }

        public Criteria andRegistertimeGreaterThan(String value) {
            addCriterion("RegisterTime >", value, "registertime");
            return (Criteria) this;
        }

        public Criteria andRegistertimeGreaterThanOrEqualTo(String value) {
            addCriterion("RegisterTime >=", value, "registertime");
            return (Criteria) this;
        }

        public Criteria andRegistertimeLessThan(String value) {
            addCriterion("RegisterTime <", value, "registertime");
            return (Criteria) this;
        }

        public Criteria andRegistertimeLessThanOrEqualTo(String value) {
            addCriterion("RegisterTime <=", value, "registertime");
            return (Criteria) this;
        }

        public Criteria andRegistertimeLike(String value) {
            addCriterion("RegisterTime like", value, "registertime");
            return (Criteria) this;
        }

        public Criteria andRegistertimeNotLike(String value) {
            addCriterion("RegisterTime not like", value, "registertime");
            return (Criteria) this;
        }

        public Criteria andRegistertimeIn(List<String> values) {
            addCriterion("RegisterTime in", values, "registertime");
            return (Criteria) this;
        }

        public Criteria andRegistertimeNotIn(List<String> values) {
            addCriterion("RegisterTime not in", values, "registertime");
            return (Criteria) this;
        }

        public Criteria andRegistertimeBetween(String value1, String value2) {
            addCriterion("RegisterTime between", value1, value2, "registertime");
            return (Criteria) this;
        }

        public Criteria andRegistertimeNotBetween(String value1, String value2) {
            addCriterion("RegisterTime not between", value1, value2, "registertime");
            return (Criteria) this;
        }

        public Criteria andKilometersIsNull() {
            addCriterion("Kilometers is null");
            return (Criteria) this;
        }

        public Criteria andKilometersIsNotNull() {
            addCriterion("Kilometers is not null");
            return (Criteria) this;
        }

        public Criteria andKilometersEqualTo(Float value) {
            addCriterion("Kilometers =", value, "kilometers");
            return (Criteria) this;
        }

        public Criteria andKilometersNotEqualTo(Float value) {
            addCriterion("Kilometers <>", value, "kilometers");
            return (Criteria) this;
        }

        public Criteria andKilometersGreaterThan(Float value) {
            addCriterion("Kilometers >", value, "kilometers");
            return (Criteria) this;
        }

        public Criteria andKilometersGreaterThanOrEqualTo(Float value) {
            addCriterion("Kilometers >=", value, "kilometers");
            return (Criteria) this;
        }

        public Criteria andKilometersLessThan(Float value) {
            addCriterion("Kilometers <", value, "kilometers");
            return (Criteria) this;
        }

        public Criteria andKilometersLessThanOrEqualTo(Float value) {
            addCriterion("Kilometers <=", value, "kilometers");
            return (Criteria) this;
        }

        public Criteria andKilometersIn(List<Float> values) {
            addCriterion("Kilometers in", values, "kilometers");
            return (Criteria) this;
        }

        public Criteria andKilometersNotIn(List<Float> values) {
            addCriterion("Kilometers not in", values, "kilometers");
            return (Criteria) this;
        }

        public Criteria andKilometersBetween(Float value1, Float value2) {
            addCriterion("Kilometers between", value1, value2, "kilometers");
            return (Criteria) this;
        }

        public Criteria andKilometersNotBetween(Float value1, Float value2) {
            addCriterion("Kilometers not between", value1, value2, "kilometers");
            return (Criteria) this;
        }

        public Criteria andDrivinglicensesrcIsNull() {
            addCriterion("DrivingLicenseSrc is null");
            return (Criteria) this;
        }

        public Criteria andDrivinglicensesrcIsNotNull() {
            addCriterion("DrivingLicenseSrc is not null");
            return (Criteria) this;
        }

        public Criteria andDrivinglicensesrcEqualTo(String value) {
            addCriterion("DrivingLicenseSrc =", value, "drivinglicensesrc");
            return (Criteria) this;
        }

        public Criteria andDrivinglicensesrcNotEqualTo(String value) {
            addCriterion("DrivingLicenseSrc <>", value, "drivinglicensesrc");
            return (Criteria) this;
        }

        public Criteria andDrivinglicensesrcGreaterThan(String value) {
            addCriterion("DrivingLicenseSrc >", value, "drivinglicensesrc");
            return (Criteria) this;
        }

        public Criteria andDrivinglicensesrcGreaterThanOrEqualTo(String value) {
            addCriterion("DrivingLicenseSrc >=", value, "drivinglicensesrc");
            return (Criteria) this;
        }

        public Criteria andDrivinglicensesrcLessThan(String value) {
            addCriterion("DrivingLicenseSrc <", value, "drivinglicensesrc");
            return (Criteria) this;
        }

        public Criteria andDrivinglicensesrcLessThanOrEqualTo(String value) {
            addCriterion("DrivingLicenseSrc <=", value, "drivinglicensesrc");
            return (Criteria) this;
        }

        public Criteria andDrivinglicensesrcLike(String value) {
            addCriterion("DrivingLicenseSrc like", value, "drivinglicensesrc");
            return (Criteria) this;
        }

        public Criteria andDrivinglicensesrcNotLike(String value) {
            addCriterion("DrivingLicenseSrc not like", value, "drivinglicensesrc");
            return (Criteria) this;
        }

        public Criteria andDrivinglicensesrcIn(List<String> values) {
            addCriterion("DrivingLicenseSrc in", values, "drivinglicensesrc");
            return (Criteria) this;
        }

        public Criteria andDrivinglicensesrcNotIn(List<String> values) {
            addCriterion("DrivingLicenseSrc not in", values, "drivinglicensesrc");
            return (Criteria) this;
        }

        public Criteria andDrivinglicensesrcBetween(String value1, String value2) {
            addCriterion("DrivingLicenseSrc between", value1, value2, "drivinglicensesrc");
            return (Criteria) this;
        }

        public Criteria andDrivinglicensesrcNotBetween(String value1, String value2) {
            addCriterion("DrivingLicenseSrc not between", value1, value2, "drivinglicensesrc");
            return (Criteria) this;
        }

        public Criteria andVehiclesrcIsNull() {
            addCriterion("VehicleSrc is null");
            return (Criteria) this;
        }

        public Criteria andVehiclesrcIsNotNull() {
            addCriterion("VehicleSrc is not null");
            return (Criteria) this;
        }

        public Criteria andVehiclesrcEqualTo(String value) {
            addCriterion("VehicleSrc =", value, "vehiclesrc");
            return (Criteria) this;
        }

        public Criteria andVehiclesrcNotEqualTo(String value) {
            addCriterion("VehicleSrc <>", value, "vehiclesrc");
            return (Criteria) this;
        }

        public Criteria andVehiclesrcGreaterThan(String value) {
            addCriterion("VehicleSrc >", value, "vehiclesrc");
            return (Criteria) this;
        }

        public Criteria andVehiclesrcGreaterThanOrEqualTo(String value) {
            addCriterion("VehicleSrc >=", value, "vehiclesrc");
            return (Criteria) this;
        }

        public Criteria andVehiclesrcLessThan(String value) {
            addCriterion("VehicleSrc <", value, "vehiclesrc");
            return (Criteria) this;
        }

        public Criteria andVehiclesrcLessThanOrEqualTo(String value) {
            addCriterion("VehicleSrc <=", value, "vehiclesrc");
            return (Criteria) this;
        }

        public Criteria andVehiclesrcLike(String value) {
            addCriterion("VehicleSrc like", value, "vehiclesrc");
            return (Criteria) this;
        }

        public Criteria andVehiclesrcNotLike(String value) {
            addCriterion("VehicleSrc not like", value, "vehiclesrc");
            return (Criteria) this;
        }

        public Criteria andVehiclesrcIn(List<String> values) {
            addCriterion("VehicleSrc in", values, "vehiclesrc");
            return (Criteria) this;
        }

        public Criteria andVehiclesrcNotIn(List<String> values) {
            addCriterion("VehicleSrc not in", values, "vehiclesrc");
            return (Criteria) this;
        }

        public Criteria andVehiclesrcBetween(String value1, String value2) {
            addCriterion("VehicleSrc between", value1, value2, "vehiclesrc");
            return (Criteria) this;
        }

        public Criteria andVehiclesrcNotBetween(String value1, String value2) {
            addCriterion("VehicleSrc not between", value1, value2, "vehiclesrc");
            return (Criteria) this;
        }

        public Criteria andVehicletypeIsNull() {
            addCriterion("VehicleType is null");
            return (Criteria) this;
        }

        public Criteria andVehicletypeIsNotNull() {
            addCriterion("VehicleType is not null");
            return (Criteria) this;
        }

        public Criteria andVehicletypeEqualTo(String value) {
            addCriterion("VehicleType =", value, "vehicletype");
            return (Criteria) this;
        }

        public Criteria andVehicletypeNotEqualTo(String value) {
            addCriterion("VehicleType <>", value, "vehicletype");
            return (Criteria) this;
        }

        public Criteria andVehicletypeGreaterThan(String value) {
            addCriterion("VehicleType >", value, "vehicletype");
            return (Criteria) this;
        }

        public Criteria andVehicletypeGreaterThanOrEqualTo(String value) {
            addCriterion("VehicleType >=", value, "vehicletype");
            return (Criteria) this;
        }

        public Criteria andVehicletypeLessThan(String value) {
            addCriterion("VehicleType <", value, "vehicletype");
            return (Criteria) this;
        }

        public Criteria andVehicletypeLessThanOrEqualTo(String value) {
            addCriterion("VehicleType <=", value, "vehicletype");
            return (Criteria) this;
        }

        public Criteria andVehicletypeLike(String value) {
            addCriterion("VehicleType like", value, "vehicletype");
            return (Criteria) this;
        }

        public Criteria andVehicletypeNotLike(String value) {
            addCriterion("VehicleType not like", value, "vehicletype");
            return (Criteria) this;
        }

        public Criteria andVehicletypeIn(List<String> values) {
            addCriterion("VehicleType in", values, "vehicletype");
            return (Criteria) this;
        }

        public Criteria andVehicletypeNotIn(List<String> values) {
            addCriterion("VehicleType not in", values, "vehicletype");
            return (Criteria) this;
        }

        public Criteria andVehicletypeBetween(String value1, String value2) {
            addCriterion("VehicleType between", value1, value2, "vehicletype");
            return (Criteria) this;
        }

        public Criteria andVehicletypeNotBetween(String value1, String value2) {
            addCriterion("VehicleType not between", value1, value2, "vehicletype");
            return (Criteria) this;
        }

        public Criteria andLinknameIsNull() {
            addCriterion("LinkName is null");
            return (Criteria) this;
        }

        public Criteria andLinknameIsNotNull() {
            addCriterion("LinkName is not null");
            return (Criteria) this;
        }

        public Criteria andLinknameEqualTo(String value) {
            addCriterion("LinkName =", value, "linkname");
            return (Criteria) this;
        }

        public Criteria andLinknameNotEqualTo(String value) {
            addCriterion("LinkName <>", value, "linkname");
            return (Criteria) this;
        }

        public Criteria andLinknameGreaterThan(String value) {
            addCriterion("LinkName >", value, "linkname");
            return (Criteria) this;
        }

        public Criteria andLinknameGreaterThanOrEqualTo(String value) {
            addCriterion("LinkName >=", value, "linkname");
            return (Criteria) this;
        }

        public Criteria andLinknameLessThan(String value) {
            addCriterion("LinkName <", value, "linkname");
            return (Criteria) this;
        }

        public Criteria andLinknameLessThanOrEqualTo(String value) {
            addCriterion("LinkName <=", value, "linkname");
            return (Criteria) this;
        }

        public Criteria andLinknameLike(String value) {
            addCriterion("LinkName like", value, "linkname");
            return (Criteria) this;
        }

        public Criteria andLinknameNotLike(String value) {
            addCriterion("LinkName not like", value, "linkname");
            return (Criteria) this;
        }

        public Criteria andLinknameIn(List<String> values) {
            addCriterion("LinkName in", values, "linkname");
            return (Criteria) this;
        }

        public Criteria andLinknameNotIn(List<String> values) {
            addCriterion("LinkName not in", values, "linkname");
            return (Criteria) this;
        }

        public Criteria andLinknameBetween(String value1, String value2) {
            addCriterion("LinkName between", value1, value2, "linkname");
            return (Criteria) this;
        }

        public Criteria andLinknameNotBetween(String value1, String value2) {
            addCriterion("LinkName not between", value1, value2, "linkname");
            return (Criteria) this;
        }

        public Criteria andLinktelIsNull() {
            addCriterion("LinkTel is null");
            return (Criteria) this;
        }

        public Criteria andLinktelIsNotNull() {
            addCriterion("LinkTel is not null");
            return (Criteria) this;
        }

        public Criteria andLinktelEqualTo(String value) {
            addCriterion("LinkTel =", value, "linktel");
            return (Criteria) this;
        }

        public Criteria andLinktelNotEqualTo(String value) {
            addCriterion("LinkTel <>", value, "linktel");
            return (Criteria) this;
        }

        public Criteria andLinktelGreaterThan(String value) {
            addCriterion("LinkTel >", value, "linktel");
            return (Criteria) this;
        }

        public Criteria andLinktelGreaterThanOrEqualTo(String value) {
            addCriterion("LinkTel >=", value, "linktel");
            return (Criteria) this;
        }

        public Criteria andLinktelLessThan(String value) {
            addCriterion("LinkTel <", value, "linktel");
            return (Criteria) this;
        }

        public Criteria andLinktelLessThanOrEqualTo(String value) {
            addCriterion("LinkTel <=", value, "linktel");
            return (Criteria) this;
        }

        public Criteria andLinktelLike(String value) {
            addCriterion("LinkTel like", value, "linktel");
            return (Criteria) this;
        }

        public Criteria andLinktelNotLike(String value) {
            addCriterion("LinkTel not like", value, "linktel");
            return (Criteria) this;
        }

        public Criteria andLinktelIn(List<String> values) {
            addCriterion("LinkTel in", values, "linktel");
            return (Criteria) this;
        }

        public Criteria andLinktelNotIn(List<String> values) {
            addCriterion("LinkTel not in", values, "linktel");
            return (Criteria) this;
        }

        public Criteria andLinktelBetween(String value1, String value2) {
            addCriterion("LinkTel between", value1, value2, "linktel");
            return (Criteria) this;
        }

        public Criteria andLinktelNotBetween(String value1, String value2) {
            addCriterion("LinkTel not between", value1, value2, "linktel");
            return (Criteria) this;
        }

        public Criteria andGaugingschemeidIsNull() {
            addCriterion("GaugingSchemeID is null");
            return (Criteria) this;
        }

        public Criteria andGaugingschemeidIsNotNull() {
            addCriterion("GaugingSchemeID is not null");
            return (Criteria) this;
        }

        public Criteria andGaugingschemeidEqualTo(Integer value) {
            addCriterion("GaugingSchemeID =", value, "gaugingschemeid");
            return (Criteria) this;
        }

        public Criteria andGaugingschemeidNotEqualTo(Integer value) {
            addCriterion("GaugingSchemeID <>", value, "gaugingschemeid");
            return (Criteria) this;
        }

        public Criteria andGaugingschemeidGreaterThan(Integer value) {
            addCriterion("GaugingSchemeID >", value, "gaugingschemeid");
            return (Criteria) this;
        }

        public Criteria andGaugingschemeidGreaterThanOrEqualTo(Integer value) {
            addCriterion("GaugingSchemeID >=", value, "gaugingschemeid");
            return (Criteria) this;
        }

        public Criteria andGaugingschemeidLessThan(Integer value) {
            addCriterion("GaugingSchemeID <", value, "gaugingschemeid");
            return (Criteria) this;
        }

        public Criteria andGaugingschemeidLessThanOrEqualTo(Integer value) {
            addCriterion("GaugingSchemeID <=", value, "gaugingschemeid");
            return (Criteria) this;
        }

        public Criteria andGaugingschemeidIn(List<Integer> values) {
            addCriterion("GaugingSchemeID in", values, "gaugingschemeid");
            return (Criteria) this;
        }

        public Criteria andGaugingschemeidNotIn(List<Integer> values) {
            addCriterion("GaugingSchemeID not in", values, "gaugingschemeid");
            return (Criteria) this;
        }

        public Criteria andGaugingschemeidBetween(Integer value1, Integer value2) {
            addCriterion("GaugingSchemeID between", value1, value2, "gaugingschemeid");
            return (Criteria) this;
        }

        public Criteria andGaugingschemeidNotBetween(Integer value1, Integer value2) {
            addCriterion("GaugingSchemeID not between", value1, value2, "gaugingschemeid");
            return (Criteria) this;
        }

        public Criteria andGaugingschemenameIsNull() {
            addCriterion("GaugingSchemeName is null");
            return (Criteria) this;
        }

        public Criteria andGaugingschemenameIsNotNull() {
            addCriterion("GaugingSchemeName is not null");
            return (Criteria) this;
        }

        public Criteria andGaugingschemenameEqualTo(String value) {
            addCriterion("GaugingSchemeName =", value, "gaugingschemename");
            return (Criteria) this;
        }

        public Criteria andGaugingschemenameNotEqualTo(String value) {
            addCriterion("GaugingSchemeName <>", value, "gaugingschemename");
            return (Criteria) this;
        }

        public Criteria andGaugingschemenameGreaterThan(String value) {
            addCriterion("GaugingSchemeName >", value, "gaugingschemename");
            return (Criteria) this;
        }

        public Criteria andGaugingschemenameGreaterThanOrEqualTo(String value) {
            addCriterion("GaugingSchemeName >=", value, "gaugingschemename");
            return (Criteria) this;
        }

        public Criteria andGaugingschemenameLessThan(String value) {
            addCriterion("GaugingSchemeName <", value, "gaugingschemename");
            return (Criteria) this;
        }

        public Criteria andGaugingschemenameLessThanOrEqualTo(String value) {
            addCriterion("GaugingSchemeName <=", value, "gaugingschemename");
            return (Criteria) this;
        }

        public Criteria andGaugingschemenameLike(String value) {
            addCriterion("GaugingSchemeName like", value, "gaugingschemename");
            return (Criteria) this;
        }

        public Criteria andGaugingschemenameNotLike(String value) {
            addCriterion("GaugingSchemeName not like", value, "gaugingschemename");
            return (Criteria) this;
        }

        public Criteria andGaugingschemenameIn(List<String> values) {
            addCriterion("GaugingSchemeName in", values, "gaugingschemename");
            return (Criteria) this;
        }

        public Criteria andGaugingschemenameNotIn(List<String> values) {
            addCriterion("GaugingSchemeName not in", values, "gaugingschemename");
            return (Criteria) this;
        }

        public Criteria andGaugingschemenameBetween(String value1, String value2) {
            addCriterion("GaugingSchemeName between", value1, value2, "gaugingschemename");
            return (Criteria) this;
        }

        public Criteria andGaugingschemenameNotBetween(String value1, String value2) {
            addCriterion("GaugingSchemeName not between", value1, value2, "gaugingschemename");
            return (Criteria) this;
        }

        public Criteria andMaintenanceschemeidIsNull() {
            addCriterion("MaintenanceSchemeID is null");
            return (Criteria) this;
        }

        public Criteria andMaintenanceschemeidIsNotNull() {
            addCriterion("MaintenanceSchemeID is not null");
            return (Criteria) this;
        }

        public Criteria andMaintenanceschemeidEqualTo(Integer value) {
            addCriterion("MaintenanceSchemeID =", value, "maintenanceschemeid");
            return (Criteria) this;
        }

        public Criteria andMaintenanceschemeidNotEqualTo(Integer value) {
            addCriterion("MaintenanceSchemeID <>", value, "maintenanceschemeid");
            return (Criteria) this;
        }

        public Criteria andMaintenanceschemeidGreaterThan(Integer value) {
            addCriterion("MaintenanceSchemeID >", value, "maintenanceschemeid");
            return (Criteria) this;
        }

        public Criteria andMaintenanceschemeidGreaterThanOrEqualTo(Integer value) {
            addCriterion("MaintenanceSchemeID >=", value, "maintenanceschemeid");
            return (Criteria) this;
        }

        public Criteria andMaintenanceschemeidLessThan(Integer value) {
            addCriterion("MaintenanceSchemeID <", value, "maintenanceschemeid");
            return (Criteria) this;
        }

        public Criteria andMaintenanceschemeidLessThanOrEqualTo(Integer value) {
            addCriterion("MaintenanceSchemeID <=", value, "maintenanceschemeid");
            return (Criteria) this;
        }

        public Criteria andMaintenanceschemeidIn(List<Integer> values) {
            addCriterion("MaintenanceSchemeID in", values, "maintenanceschemeid");
            return (Criteria) this;
        }

        public Criteria andMaintenanceschemeidNotIn(List<Integer> values) {
            addCriterion("MaintenanceSchemeID not in", values, "maintenanceschemeid");
            return (Criteria) this;
        }

        public Criteria andMaintenanceschemeidBetween(Integer value1, Integer value2) {
            addCriterion("MaintenanceSchemeID between", value1, value2, "maintenanceschemeid");
            return (Criteria) this;
        }

        public Criteria andMaintenanceschemeidNotBetween(Integer value1, Integer value2) {
            addCriterion("MaintenanceSchemeID not between", value1, value2, "maintenanceschemeid");
            return (Criteria) this;
        }

        public Criteria andMaintenanceschemenameIsNull() {
            addCriterion("MaintenanceSchemeName is null");
            return (Criteria) this;
        }

        public Criteria andMaintenanceschemenameIsNotNull() {
            addCriterion("MaintenanceSchemeName is not null");
            return (Criteria) this;
        }

        public Criteria andMaintenanceschemenameEqualTo(String value) {
            addCriterion("MaintenanceSchemeName =", value, "maintenanceschemename");
            return (Criteria) this;
        }

        public Criteria andMaintenanceschemenameNotEqualTo(String value) {
            addCriterion("MaintenanceSchemeName <>", value, "maintenanceschemename");
            return (Criteria) this;
        }

        public Criteria andMaintenanceschemenameGreaterThan(String value) {
            addCriterion("MaintenanceSchemeName >", value, "maintenanceschemename");
            return (Criteria) this;
        }

        public Criteria andMaintenanceschemenameGreaterThanOrEqualTo(String value) {
            addCriterion("MaintenanceSchemeName >=", value, "maintenanceschemename");
            return (Criteria) this;
        }

        public Criteria andMaintenanceschemenameLessThan(String value) {
            addCriterion("MaintenanceSchemeName <", value, "maintenanceschemename");
            return (Criteria) this;
        }

        public Criteria andMaintenanceschemenameLessThanOrEqualTo(String value) {
            addCriterion("MaintenanceSchemeName <=", value, "maintenanceschemename");
            return (Criteria) this;
        }

        public Criteria andMaintenanceschemenameLike(String value) {
            addCriterion("MaintenanceSchemeName like", value, "maintenanceschemename");
            return (Criteria) this;
        }

        public Criteria andMaintenanceschemenameNotLike(String value) {
            addCriterion("MaintenanceSchemeName not like", value, "maintenanceschemename");
            return (Criteria) this;
        }

        public Criteria andMaintenanceschemenameIn(List<String> values) {
            addCriterion("MaintenanceSchemeName in", values, "maintenanceschemename");
            return (Criteria) this;
        }

        public Criteria andMaintenanceschemenameNotIn(List<String> values) {
            addCriterion("MaintenanceSchemeName not in", values, "maintenanceschemename");
            return (Criteria) this;
        }

        public Criteria andMaintenanceschemenameBetween(String value1, String value2) {
            addCriterion("MaintenanceSchemeName between", value1, value2, "maintenanceschemename");
            return (Criteria) this;
        }

        public Criteria andMaintenanceschemenameNotBetween(String value1, String value2) {
            addCriterion("MaintenanceSchemeName not between", value1, value2, "maintenanceschemename");
            return (Criteria) this;
        }

        public Criteria andBrandidIsNull() {
            addCriterion("BrandId is null");
            return (Criteria) this;
        }

        public Criteria andBrandidIsNotNull() {
            addCriterion("BrandId is not null");
            return (Criteria) this;
        }

        public Criteria andBrandidEqualTo(Integer value) {
            addCriterion("BrandId =", value, "brandid");
            return (Criteria) this;
        }

        public Criteria andBrandidNotEqualTo(Integer value) {
            addCriterion("BrandId <>", value, "brandid");
            return (Criteria) this;
        }

        public Criteria andBrandidGreaterThan(Integer value) {
            addCriterion("BrandId >", value, "brandid");
            return (Criteria) this;
        }

        public Criteria andBrandidGreaterThanOrEqualTo(Integer value) {
            addCriterion("BrandId >=", value, "brandid");
            return (Criteria) this;
        }

        public Criteria andBrandidLessThan(Integer value) {
            addCriterion("BrandId <", value, "brandid");
            return (Criteria) this;
        }

        public Criteria andBrandidLessThanOrEqualTo(Integer value) {
            addCriterion("BrandId <=", value, "brandid");
            return (Criteria) this;
        }

        public Criteria andBrandidIn(List<Integer> values) {
            addCriterion("BrandId in", values, "brandid");
            return (Criteria) this;
        }

        public Criteria andBrandidNotIn(List<Integer> values) {
            addCriterion("BrandId not in", values, "brandid");
            return (Criteria) this;
        }

        public Criteria andBrandidBetween(Integer value1, Integer value2) {
            addCriterion("BrandId between", value1, value2, "brandid");
            return (Criteria) this;
        }

        public Criteria andBrandidNotBetween(Integer value1, Integer value2) {
            addCriterion("BrandId not between", value1, value2, "brandid");
            return (Criteria) this;
        }

        public Criteria andBrandnameIsNull() {
            addCriterion("BrandName is null");
            return (Criteria) this;
        }

        public Criteria andBrandnameIsNotNull() {
            addCriterion("BrandName is not null");
            return (Criteria) this;
        }

        public Criteria andBrandnameEqualTo(String value) {
            addCriterion("BrandName =", value, "brandname");
            return (Criteria) this;
        }

        public Criteria andBrandnameNotEqualTo(String value) {
            addCriterion("BrandName <>", value, "brandname");
            return (Criteria) this;
        }

        public Criteria andBrandnameGreaterThan(String value) {
            addCriterion("BrandName >", value, "brandname");
            return (Criteria) this;
        }

        public Criteria andBrandnameGreaterThanOrEqualTo(String value) {
            addCriterion("BrandName >=", value, "brandname");
            return (Criteria) this;
        }

        public Criteria andBrandnameLessThan(String value) {
            addCriterion("BrandName <", value, "brandname");
            return (Criteria) this;
        }

        public Criteria andBrandnameLessThanOrEqualTo(String value) {
            addCriterion("BrandName <=", value, "brandname");
            return (Criteria) this;
        }

        public Criteria andBrandnameLike(String value) {
            addCriterion("BrandName like", value, "brandname");
            return (Criteria) this;
        }

        public Criteria andBrandnameNotLike(String value) {
            addCriterion("BrandName not like", value, "brandname");
            return (Criteria) this;
        }

        public Criteria andBrandnameIn(List<String> values) {
            addCriterion("BrandName in", values, "brandname");
            return (Criteria) this;
        }

        public Criteria andBrandnameNotIn(List<String> values) {
            addCriterion("BrandName not in", values, "brandname");
            return (Criteria) this;
        }

        public Criteria andBrandnameBetween(String value1, String value2) {
            addCriterion("BrandName between", value1, value2, "brandname");
            return (Criteria) this;
        }

        public Criteria andBrandnameNotBetween(String value1, String value2) {
            addCriterion("BrandName not between", value1, value2, "brandname");
            return (Criteria) this;
        }

        public Criteria andSeriesidIsNull() {
            addCriterion("SeriesId is null");
            return (Criteria) this;
        }

        public Criteria andSeriesidIsNotNull() {
            addCriterion("SeriesId is not null");
            return (Criteria) this;
        }

        public Criteria andSeriesidEqualTo(Integer value) {
            addCriterion("SeriesId =", value, "seriesid");
            return (Criteria) this;
        }

        public Criteria andSeriesidNotEqualTo(Integer value) {
            addCriterion("SeriesId <>", value, "seriesid");
            return (Criteria) this;
        }

        public Criteria andSeriesidGreaterThan(Integer value) {
            addCriterion("SeriesId >", value, "seriesid");
            return (Criteria) this;
        }

        public Criteria andSeriesidGreaterThanOrEqualTo(Integer value) {
            addCriterion("SeriesId >=", value, "seriesid");
            return (Criteria) this;
        }

        public Criteria andSeriesidLessThan(Integer value) {
            addCriterion("SeriesId <", value, "seriesid");
            return (Criteria) this;
        }

        public Criteria andSeriesidLessThanOrEqualTo(Integer value) {
            addCriterion("SeriesId <=", value, "seriesid");
            return (Criteria) this;
        }

        public Criteria andSeriesidIn(List<Integer> values) {
            addCriterion("SeriesId in", values, "seriesid");
            return (Criteria) this;
        }

        public Criteria andSeriesidNotIn(List<Integer> values) {
            addCriterion("SeriesId not in", values, "seriesid");
            return (Criteria) this;
        }

        public Criteria andSeriesidBetween(Integer value1, Integer value2) {
            addCriterion("SeriesId between", value1, value2, "seriesid");
            return (Criteria) this;
        }

        public Criteria andSeriesidNotBetween(Integer value1, Integer value2) {
            addCriterion("SeriesId not between", value1, value2, "seriesid");
            return (Criteria) this;
        }

        public Criteria andSeriesnameIsNull() {
            addCriterion("SeriesName is null");
            return (Criteria) this;
        }

        public Criteria andSeriesnameIsNotNull() {
            addCriterion("SeriesName is not null");
            return (Criteria) this;
        }

        public Criteria andSeriesnameEqualTo(String value) {
            addCriterion("SeriesName =", value, "seriesname");
            return (Criteria) this;
        }

        public Criteria andSeriesnameNotEqualTo(String value) {
            addCriterion("SeriesName <>", value, "seriesname");
            return (Criteria) this;
        }

        public Criteria andSeriesnameGreaterThan(String value) {
            addCriterion("SeriesName >", value, "seriesname");
            return (Criteria) this;
        }

        public Criteria andSeriesnameGreaterThanOrEqualTo(String value) {
            addCriterion("SeriesName >=", value, "seriesname");
            return (Criteria) this;
        }

        public Criteria andSeriesnameLessThan(String value) {
            addCriterion("SeriesName <", value, "seriesname");
            return (Criteria) this;
        }

        public Criteria andSeriesnameLessThanOrEqualTo(String value) {
            addCriterion("SeriesName <=", value, "seriesname");
            return (Criteria) this;
        }

        public Criteria andSeriesnameLike(String value) {
            addCriterion("SeriesName like", value, "seriesname");
            return (Criteria) this;
        }

        public Criteria andSeriesnameNotLike(String value) {
            addCriterion("SeriesName not like", value, "seriesname");
            return (Criteria) this;
        }

        public Criteria andSeriesnameIn(List<String> values) {
            addCriterion("SeriesName in", values, "seriesname");
            return (Criteria) this;
        }

        public Criteria andSeriesnameNotIn(List<String> values) {
            addCriterion("SeriesName not in", values, "seriesname");
            return (Criteria) this;
        }

        public Criteria andSeriesnameBetween(String value1, String value2) {
            addCriterion("SeriesName between", value1, value2, "seriesname");
            return (Criteria) this;
        }

        public Criteria andSeriesnameNotBetween(String value1, String value2) {
            addCriterion("SeriesName not between", value1, value2, "seriesname");
            return (Criteria) this;
        }

        public Criteria andProductionyearIsNull() {
            addCriterion("ProductionYear is null");
            return (Criteria) this;
        }

        public Criteria andProductionyearIsNotNull() {
            addCriterion("ProductionYear is not null");
            return (Criteria) this;
        }

        public Criteria andProductionyearEqualTo(String value) {
            addCriterion("ProductionYear =", value, "productionyear");
            return (Criteria) this;
        }

        public Criteria andProductionyearNotEqualTo(String value) {
            addCriterion("ProductionYear <>", value, "productionyear");
            return (Criteria) this;
        }

        public Criteria andProductionyearGreaterThan(String value) {
            addCriterion("ProductionYear >", value, "productionyear");
            return (Criteria) this;
        }

        public Criteria andProductionyearGreaterThanOrEqualTo(String value) {
            addCriterion("ProductionYear >=", value, "productionyear");
            return (Criteria) this;
        }

        public Criteria andProductionyearLessThan(String value) {
            addCriterion("ProductionYear <", value, "productionyear");
            return (Criteria) this;
        }

        public Criteria andProductionyearLessThanOrEqualTo(String value) {
            addCriterion("ProductionYear <=", value, "productionyear");
            return (Criteria) this;
        }

        public Criteria andProductionyearLike(String value) {
            addCriterion("ProductionYear like", value, "productionyear");
            return (Criteria) this;
        }

        public Criteria andProductionyearNotLike(String value) {
            addCriterion("ProductionYear not like", value, "productionyear");
            return (Criteria) this;
        }

        public Criteria andProductionyearIn(List<String> values) {
            addCriterion("ProductionYear in", values, "productionyear");
            return (Criteria) this;
        }

        public Criteria andProductionyearNotIn(List<String> values) {
            addCriterion("ProductionYear not in", values, "productionyear");
            return (Criteria) this;
        }

        public Criteria andProductionyearBetween(String value1, String value2) {
            addCriterion("ProductionYear between", value1, value2, "productionyear");
            return (Criteria) this;
        }

        public Criteria andProductionyearNotBetween(String value1, String value2) {
            addCriterion("ProductionYear not between", value1, value2, "productionyear");
            return (Criteria) this;
        }

        public Criteria andEnginestructureIsNull() {
            addCriterion("EngineStructure is null");
            return (Criteria) this;
        }

        public Criteria andEnginestructureIsNotNull() {
            addCriterion("EngineStructure is not null");
            return (Criteria) this;
        }

        public Criteria andEnginestructureEqualTo(String value) {
            addCriterion("EngineStructure =", value, "enginestructure");
            return (Criteria) this;
        }

        public Criteria andEnginestructureNotEqualTo(String value) {
            addCriterion("EngineStructure <>", value, "enginestructure");
            return (Criteria) this;
        }

        public Criteria andEnginestructureGreaterThan(String value) {
            addCriterion("EngineStructure >", value, "enginestructure");
            return (Criteria) this;
        }

        public Criteria andEnginestructureGreaterThanOrEqualTo(String value) {
            addCriterion("EngineStructure >=", value, "enginestructure");
            return (Criteria) this;
        }

        public Criteria andEnginestructureLessThan(String value) {
            addCriterion("EngineStructure <", value, "enginestructure");
            return (Criteria) this;
        }

        public Criteria andEnginestructureLessThanOrEqualTo(String value) {
            addCriterion("EngineStructure <=", value, "enginestructure");
            return (Criteria) this;
        }

        public Criteria andEnginestructureLike(String value) {
            addCriterion("EngineStructure like", value, "enginestructure");
            return (Criteria) this;
        }

        public Criteria andEnginestructureNotLike(String value) {
            addCriterion("EngineStructure not like", value, "enginestructure");
            return (Criteria) this;
        }

        public Criteria andEnginestructureIn(List<String> values) {
            addCriterion("EngineStructure in", values, "enginestructure");
            return (Criteria) this;
        }

        public Criteria andEnginestructureNotIn(List<String> values) {
            addCriterion("EngineStructure not in", values, "enginestructure");
            return (Criteria) this;
        }

        public Criteria andEnginestructureBetween(String value1, String value2) {
            addCriterion("EngineStructure between", value1, value2, "enginestructure");
            return (Criteria) this;
        }

        public Criteria andEnginestructureNotBetween(String value1, String value2) {
            addCriterion("EngineStructure not between", value1, value2, "enginestructure");
            return (Criteria) this;
        }

        public Criteria andEnginestructurenumberIsNull() {
            addCriterion("EngineStructureNumber is null");
            return (Criteria) this;
        }

        public Criteria andEnginestructurenumberIsNotNull() {
            addCriterion("EngineStructureNumber is not null");
            return (Criteria) this;
        }

        public Criteria andEnginestructurenumberEqualTo(Integer value) {
            addCriterion("EngineStructureNumber =", value, "enginestructurenumber");
            return (Criteria) this;
        }

        public Criteria andEnginestructurenumberNotEqualTo(Integer value) {
            addCriterion("EngineStructureNumber <>", value, "enginestructurenumber");
            return (Criteria) this;
        }

        public Criteria andEnginestructurenumberGreaterThan(Integer value) {
            addCriterion("EngineStructureNumber >", value, "enginestructurenumber");
            return (Criteria) this;
        }

        public Criteria andEnginestructurenumberGreaterThanOrEqualTo(Integer value) {
            addCriterion("EngineStructureNumber >=", value, "enginestructurenumber");
            return (Criteria) this;
        }

        public Criteria andEnginestructurenumberLessThan(Integer value) {
            addCriterion("EngineStructureNumber <", value, "enginestructurenumber");
            return (Criteria) this;
        }

        public Criteria andEnginestructurenumberLessThanOrEqualTo(Integer value) {
            addCriterion("EngineStructureNumber <=", value, "enginestructurenumber");
            return (Criteria) this;
        }

        public Criteria andEnginestructurenumberIn(List<Integer> values) {
            addCriterion("EngineStructureNumber in", values, "enginestructurenumber");
            return (Criteria) this;
        }

        public Criteria andEnginestructurenumberNotIn(List<Integer> values) {
            addCriterion("EngineStructureNumber not in", values, "enginestructurenumber");
            return (Criteria) this;
        }

        public Criteria andEnginestructurenumberBetween(Integer value1, Integer value2) {
            addCriterion("EngineStructureNumber between", value1, value2, "enginestructurenumber");
            return (Criteria) this;
        }

        public Criteria andEnginestructurenumberNotBetween(Integer value1, Integer value2) {
            addCriterion("EngineStructureNumber not between", value1, value2, "enginestructurenumber");
            return (Criteria) this;
        }

        public Criteria andElectronicfueltypeIsNull() {
            addCriterion("ElectronicFuelType is null");
            return (Criteria) this;
        }

        public Criteria andElectronicfueltypeIsNotNull() {
            addCriterion("ElectronicFuelType is not null");
            return (Criteria) this;
        }

        public Criteria andElectronicfueltypeEqualTo(String value) {
            addCriterion("ElectronicFuelType =", value, "electronicfueltype");
            return (Criteria) this;
        }

        public Criteria andElectronicfueltypeNotEqualTo(String value) {
            addCriterion("ElectronicFuelType <>", value, "electronicfueltype");
            return (Criteria) this;
        }

        public Criteria andElectronicfueltypeGreaterThan(String value) {
            addCriterion("ElectronicFuelType >", value, "electronicfueltype");
            return (Criteria) this;
        }

        public Criteria andElectronicfueltypeGreaterThanOrEqualTo(String value) {
            addCriterion("ElectronicFuelType >=", value, "electronicfueltype");
            return (Criteria) this;
        }

        public Criteria andElectronicfueltypeLessThan(String value) {
            addCriterion("ElectronicFuelType <", value, "electronicfueltype");
            return (Criteria) this;
        }

        public Criteria andElectronicfueltypeLessThanOrEqualTo(String value) {
            addCriterion("ElectronicFuelType <=", value, "electronicfueltype");
            return (Criteria) this;
        }

        public Criteria andElectronicfueltypeLike(String value) {
            addCriterion("ElectronicFuelType like", value, "electronicfueltype");
            return (Criteria) this;
        }

        public Criteria andElectronicfueltypeNotLike(String value) {
            addCriterion("ElectronicFuelType not like", value, "electronicfueltype");
            return (Criteria) this;
        }

        public Criteria andElectronicfueltypeIn(List<String> values) {
            addCriterion("ElectronicFuelType in", values, "electronicfueltype");
            return (Criteria) this;
        }

        public Criteria andElectronicfueltypeNotIn(List<String> values) {
            addCriterion("ElectronicFuelType not in", values, "electronicfueltype");
            return (Criteria) this;
        }

        public Criteria andElectronicfueltypeBetween(String value1, String value2) {
            addCriterion("ElectronicFuelType between", value1, value2, "electronicfueltype");
            return (Criteria) this;
        }

        public Criteria andElectronicfueltypeNotBetween(String value1, String value2) {
            addCriterion("ElectronicFuelType not between", value1, value2, "electronicfueltype");
            return (Criteria) this;
        }

        public Criteria andTransmissioncaseIsNull() {
            addCriterion("TransmissionCase is null");
            return (Criteria) this;
        }

        public Criteria andTransmissioncaseIsNotNull() {
            addCriterion("TransmissionCase is not null");
            return (Criteria) this;
        }

        public Criteria andTransmissioncaseEqualTo(String value) {
            addCriterion("TransmissionCase =", value, "transmissioncase");
            return (Criteria) this;
        }

        public Criteria andTransmissioncaseNotEqualTo(String value) {
            addCriterion("TransmissionCase <>", value, "transmissioncase");
            return (Criteria) this;
        }

        public Criteria andTransmissioncaseGreaterThan(String value) {
            addCriterion("TransmissionCase >", value, "transmissioncase");
            return (Criteria) this;
        }

        public Criteria andTransmissioncaseGreaterThanOrEqualTo(String value) {
            addCriterion("TransmissionCase >=", value, "transmissioncase");
            return (Criteria) this;
        }

        public Criteria andTransmissioncaseLessThan(String value) {
            addCriterion("TransmissionCase <", value, "transmissioncase");
            return (Criteria) this;
        }

        public Criteria andTransmissioncaseLessThanOrEqualTo(String value) {
            addCriterion("TransmissionCase <=", value, "transmissioncase");
            return (Criteria) this;
        }

        public Criteria andTransmissioncaseLike(String value) {
            addCriterion("TransmissionCase like", value, "transmissioncase");
            return (Criteria) this;
        }

        public Criteria andTransmissioncaseNotLike(String value) {
            addCriterion("TransmissionCase not like", value, "transmissioncase");
            return (Criteria) this;
        }

        public Criteria andTransmissioncaseIn(List<String> values) {
            addCriterion("TransmissionCase in", values, "transmissioncase");
            return (Criteria) this;
        }

        public Criteria andTransmissioncaseNotIn(List<String> values) {
            addCriterion("TransmissionCase not in", values, "transmissioncase");
            return (Criteria) this;
        }

        public Criteria andTransmissioncaseBetween(String value1, String value2) {
            addCriterion("TransmissionCase between", value1, value2, "transmissioncase");
            return (Criteria) this;
        }

        public Criteria andTransmissioncaseNotBetween(String value1, String value2) {
            addCriterion("TransmissionCase not between", value1, value2, "transmissioncase");
            return (Criteria) this;
        }

        public Criteria andDrivetypeIsNull() {
            addCriterion("DriveType is null");
            return (Criteria) this;
        }

        public Criteria andDrivetypeIsNotNull() {
            addCriterion("DriveType is not null");
            return (Criteria) this;
        }

        public Criteria andDrivetypeEqualTo(String value) {
            addCriterion("DriveType =", value, "drivetype");
            return (Criteria) this;
        }

        public Criteria andDrivetypeNotEqualTo(String value) {
            addCriterion("DriveType <>", value, "drivetype");
            return (Criteria) this;
        }

        public Criteria andDrivetypeGreaterThan(String value) {
            addCriterion("DriveType >", value, "drivetype");
            return (Criteria) this;
        }

        public Criteria andDrivetypeGreaterThanOrEqualTo(String value) {
            addCriterion("DriveType >=", value, "drivetype");
            return (Criteria) this;
        }

        public Criteria andDrivetypeLessThan(String value) {
            addCriterion("DriveType <", value, "drivetype");
            return (Criteria) this;
        }

        public Criteria andDrivetypeLessThanOrEqualTo(String value) {
            addCriterion("DriveType <=", value, "drivetype");
            return (Criteria) this;
        }

        public Criteria andDrivetypeLike(String value) {
            addCriterion("DriveType like", value, "drivetype");
            return (Criteria) this;
        }

        public Criteria andDrivetypeNotLike(String value) {
            addCriterion("DriveType not like", value, "drivetype");
            return (Criteria) this;
        }

        public Criteria andDrivetypeIn(List<String> values) {
            addCriterion("DriveType in", values, "drivetype");
            return (Criteria) this;
        }

        public Criteria andDrivetypeNotIn(List<String> values) {
            addCriterion("DriveType not in", values, "drivetype");
            return (Criteria) this;
        }

        public Criteria andDrivetypeBetween(String value1, String value2) {
            addCriterion("DriveType between", value1, value2, "drivetype");
            return (Criteria) this;
        }

        public Criteria andDrivetypeNotBetween(String value1, String value2) {
            addCriterion("DriveType not between", value1, value2, "drivetype");
            return (Criteria) this;
        }

        public Criteria andEmissionstandardIsNull() {
            addCriterion("EmissionStandard is null");
            return (Criteria) this;
        }

        public Criteria andEmissionstandardIsNotNull() {
            addCriterion("EmissionStandard is not null");
            return (Criteria) this;
        }

        public Criteria andEmissionstandardEqualTo(String value) {
            addCriterion("EmissionStandard =", value, "emissionstandard");
            return (Criteria) this;
        }

        public Criteria andEmissionstandardNotEqualTo(String value) {
            addCriterion("EmissionStandard <>", value, "emissionstandard");
            return (Criteria) this;
        }

        public Criteria andEmissionstandardGreaterThan(String value) {
            addCriterion("EmissionStandard >", value, "emissionstandard");
            return (Criteria) this;
        }

        public Criteria andEmissionstandardGreaterThanOrEqualTo(String value) {
            addCriterion("EmissionStandard >=", value, "emissionstandard");
            return (Criteria) this;
        }

        public Criteria andEmissionstandardLessThan(String value) {
            addCriterion("EmissionStandard <", value, "emissionstandard");
            return (Criteria) this;
        }

        public Criteria andEmissionstandardLessThanOrEqualTo(String value) {
            addCriterion("EmissionStandard <=", value, "emissionstandard");
            return (Criteria) this;
        }

        public Criteria andEmissionstandardLike(String value) {
            addCriterion("EmissionStandard like", value, "emissionstandard");
            return (Criteria) this;
        }

        public Criteria andEmissionstandardNotLike(String value) {
            addCriterion("EmissionStandard not like", value, "emissionstandard");
            return (Criteria) this;
        }

        public Criteria andEmissionstandardIn(List<String> values) {
            addCriterion("EmissionStandard in", values, "emissionstandard");
            return (Criteria) this;
        }

        public Criteria andEmissionstandardNotIn(List<String> values) {
            addCriterion("EmissionStandard not in", values, "emissionstandard");
            return (Criteria) this;
        }

        public Criteria andEmissionstandardBetween(String value1, String value2) {
            addCriterion("EmissionStandard between", value1, value2, "emissionstandard");
            return (Criteria) this;
        }

        public Criteria andEmissionstandardNotBetween(String value1, String value2) {
            addCriterion("EmissionStandard not between", value1, value2, "emissionstandard");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("Status is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("Status is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(Integer value) {
            addCriterion("Status =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(Integer value) {
            addCriterion("Status <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(Integer value) {
            addCriterion("Status >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("Status >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(Integer value) {
            addCriterion("Status <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(Integer value) {
            addCriterion("Status <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<Integer> values) {
            addCriterion("Status in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<Integer> values) {
            addCriterion("Status not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(Integer value1, Integer value2) {
            addCriterion("Status between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("Status not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andWxXrPemsUserIdIsNull() {
            addCriterion("wx_xr_pems_user_id is null");
            return (Criteria) this;
        }

        public Criteria andWxXrPemsUserIdIsNotNull() {
            addCriterion("wx_xr_pems_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andWxXrPemsUserIdEqualTo(Integer value) {
            addCriterion("wx_xr_pems_user_id =", value, "wxXrPemsUserId");
            return (Criteria) this;
        }

        public Criteria andWxXrPemsUserIdNotEqualTo(Integer value) {
            addCriterion("wx_xr_pems_user_id <>", value, "wxXrPemsUserId");
            return (Criteria) this;
        }

        public Criteria andWxXrPemsUserIdGreaterThan(Integer value) {
            addCriterion("wx_xr_pems_user_id >", value, "wxXrPemsUserId");
            return (Criteria) this;
        }

        public Criteria andWxXrPemsUserIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("wx_xr_pems_user_id >=", value, "wxXrPemsUserId");
            return (Criteria) this;
        }

        public Criteria andWxXrPemsUserIdLessThan(Integer value) {
            addCriterion("wx_xr_pems_user_id <", value, "wxXrPemsUserId");
            return (Criteria) this;
        }

        public Criteria andWxXrPemsUserIdLessThanOrEqualTo(Integer value) {
            addCriterion("wx_xr_pems_user_id <=", value, "wxXrPemsUserId");
            return (Criteria) this;
        }

        public Criteria andWxXrPemsUserIdIn(List<Integer> values) {
            addCriterion("wx_xr_pems_user_id in", values, "wxXrPemsUserId");
            return (Criteria) this;
        }

        public Criteria andWxXrPemsUserIdNotIn(List<Integer> values) {
            addCriterion("wx_xr_pems_user_id not in", values, "wxXrPemsUserId");
            return (Criteria) this;
        }

        public Criteria andWxXrPemsUserIdBetween(Integer value1, Integer value2) {
            addCriterion("wx_xr_pems_user_id between", value1, value2, "wxXrPemsUserId");
            return (Criteria) this;
        }

        public Criteria andWxXrPemsUserIdNotBetween(Integer value1, Integer value2) {
            addCriterion("wx_xr_pems_user_id not between", value1, value2, "wxXrPemsUserId");
            return (Criteria) this;
        }

        public Criteria andCheckUpResultIsNull() {
            addCriterion("check_up_result is null");
            return (Criteria) this;
        }

        public Criteria andCheckUpResultIsNotNull() {
            addCriterion("check_up_result is not null");
            return (Criteria) this;
        }

        public Criteria andCheckUpResultEqualTo(Integer value) {
            addCriterion("check_up_result =", value, "checkUpResult");
            return (Criteria) this;
        }

        public Criteria andCheckUpResultNotEqualTo(Integer value) {
            addCriterion("check_up_result <>", value, "checkUpResult");
            return (Criteria) this;
        }

        public Criteria andCheckUpResultGreaterThan(Integer value) {
            addCriterion("check_up_result >", value, "checkUpResult");
            return (Criteria) this;
        }

        public Criteria andCheckUpResultGreaterThanOrEqualTo(Integer value) {
            addCriterion("check_up_result >=", value, "checkUpResult");
            return (Criteria) this;
        }

        public Criteria andCheckUpResultLessThan(Integer value) {
            addCriterion("check_up_result <", value, "checkUpResult");
            return (Criteria) this;
        }

        public Criteria andCheckUpResultLessThanOrEqualTo(Integer value) {
            addCriterion("check_up_result <=", value, "checkUpResult");
            return (Criteria) this;
        }

        public Criteria andCheckUpResultIn(List<Integer> values) {
            addCriterion("check_up_result in", values, "checkUpResult");
            return (Criteria) this;
        }

        public Criteria andCheckUpResultNotIn(List<Integer> values) {
            addCriterion("check_up_result not in", values, "checkUpResult");
            return (Criteria) this;
        }

        public Criteria andCheckUpResultBetween(Integer value1, Integer value2) {
            addCriterion("check_up_result between", value1, value2, "checkUpResult");
            return (Criteria) this;
        }

        public Criteria andCheckUpResultNotBetween(Integer value1, Integer value2) {
            addCriterion("check_up_result not between", value1, value2, "checkUpResult");
            return (Criteria) this;
        }

        public Criteria andWxXrPemsUserNameIsNull() {
            addCriterion("wx_xr_pems_user_name is null");
            return (Criteria) this;
        }

        public Criteria andWxXrPemsUserNameIsNotNull() {
            addCriterion("wx_xr_pems_user_name is not null");
            return (Criteria) this;
        }

        public Criteria andWxXrPemsUserNameEqualTo(String value) {
            addCriterion("wx_xr_pems_user_name =", value, "wxXrPemsUserName");
            return (Criteria) this;
        }

        public Criteria andWxXrPemsUserNameNotEqualTo(String value) {
            addCriterion("wx_xr_pems_user_name <>", value, "wxXrPemsUserName");
            return (Criteria) this;
        }

        public Criteria andWxXrPemsUserNameGreaterThan(String value) {
            addCriterion("wx_xr_pems_user_name >", value, "wxXrPemsUserName");
            return (Criteria) this;
        }

        public Criteria andWxXrPemsUserNameGreaterThanOrEqualTo(String value) {
            addCriterion("wx_xr_pems_user_name >=", value, "wxXrPemsUserName");
            return (Criteria) this;
        }

        public Criteria andWxXrPemsUserNameLessThan(String value) {
            addCriterion("wx_xr_pems_user_name <", value, "wxXrPemsUserName");
            return (Criteria) this;
        }

        public Criteria andWxXrPemsUserNameLessThanOrEqualTo(String value) {
            addCriterion("wx_xr_pems_user_name <=", value, "wxXrPemsUserName");
            return (Criteria) this;
        }

        public Criteria andWxXrPemsUserNameLike(String value) {
            addCriterion("wx_xr_pems_user_name like", value, "wxXrPemsUserName");
            return (Criteria) this;
        }

        public Criteria andWxXrPemsUserNameNotLike(String value) {
            addCriterion("wx_xr_pems_user_name not like", value, "wxXrPemsUserName");
            return (Criteria) this;
        }

        public Criteria andWxXrPemsUserNameIn(List<String> values) {
            addCriterion("wx_xr_pems_user_name in", values, "wxXrPemsUserName");
            return (Criteria) this;
        }

        public Criteria andWxXrPemsUserNameNotIn(List<String> values) {
            addCriterion("wx_xr_pems_user_name not in", values, "wxXrPemsUserName");
            return (Criteria) this;
        }

        public Criteria andWxXrPemsUserNameBetween(String value1, String value2) {
            addCriterion("wx_xr_pems_user_name between", value1, value2, "wxXrPemsUserName");
            return (Criteria) this;
        }

        public Criteria andWxXrPemsUserNameNotBetween(String value1, String value2) {
            addCriterion("wx_xr_pems_user_name not between", value1, value2, "wxXrPemsUserName");
            return (Criteria) this;
        }

        public Criteria andExhauststructureIsNull() {
            addCriterion("ExhaustStructure is null");
            return (Criteria) this;
        }

        public Criteria andExhauststructureIsNotNull() {
            addCriterion("ExhaustStructure is not null");
            return (Criteria) this;
        }

        public Criteria andExhauststructureEqualTo(String value) {
            addCriterion("ExhaustStructure =", value, "exhauststructure");
            return (Criteria) this;
        }

        public Criteria andExhauststructureNotEqualTo(String value) {
            addCriterion("ExhaustStructure <>", value, "exhauststructure");
            return (Criteria) this;
        }

        public Criteria andExhauststructureGreaterThan(String value) {
            addCriterion("ExhaustStructure >", value, "exhauststructure");
            return (Criteria) this;
        }

        public Criteria andExhauststructureGreaterThanOrEqualTo(String value) {
            addCriterion("ExhaustStructure >=", value, "exhauststructure");
            return (Criteria) this;
        }

        public Criteria andExhauststructureLessThan(String value) {
            addCriterion("ExhaustStructure <", value, "exhauststructure");
            return (Criteria) this;
        }

        public Criteria andExhauststructureLessThanOrEqualTo(String value) {
            addCriterion("ExhaustStructure <=", value, "exhauststructure");
            return (Criteria) this;
        }

        public Criteria andExhauststructureLike(String value) {
            addCriterion("ExhaustStructure like", value, "exhauststructure");
            return (Criteria) this;
        }

        public Criteria andExhauststructureNotLike(String value) {
            addCriterion("ExhaustStructure not like", value, "exhauststructure");
            return (Criteria) this;
        }

        public Criteria andExhauststructureIn(List<String> values) {
            addCriterion("ExhaustStructure in", values, "exhauststructure");
            return (Criteria) this;
        }

        public Criteria andExhauststructureNotIn(List<String> values) {
            addCriterion("ExhaustStructure not in", values, "exhauststructure");
            return (Criteria) this;
        }

        public Criteria andExhauststructureBetween(String value1, String value2) {
            addCriterion("ExhaustStructure between", value1, value2, "exhauststructure");
            return (Criteria) this;
        }

        public Criteria andExhauststructureNotBetween(String value1, String value2) {
            addCriterion("ExhaustStructure not between", value1, value2, "exhauststructure");
            return (Criteria) this;
        }

        public Criteria andFactoryidIsNull() {
            addCriterion("FactoryId is null");
            return (Criteria) this;
        }

        public Criteria andFactoryidIsNotNull() {
            addCriterion("FactoryId is not null");
            return (Criteria) this;
        }

        public Criteria andFactoryidEqualTo(Integer value) {
            addCriterion("FactoryId =", value, "factoryid");
            return (Criteria) this;
        }

        public Criteria andFactoryidNotEqualTo(Integer value) {
            addCriterion("FactoryId <>", value, "factoryid");
            return (Criteria) this;
        }

        public Criteria andFactoryidGreaterThan(Integer value) {
            addCriterion("FactoryId >", value, "factoryid");
            return (Criteria) this;
        }

        public Criteria andFactoryidGreaterThanOrEqualTo(Integer value) {
            addCriterion("FactoryId >=", value, "factoryid");
            return (Criteria) this;
        }

        public Criteria andFactoryidLessThan(Integer value) {
            addCriterion("FactoryId <", value, "factoryid");
            return (Criteria) this;
        }

        public Criteria andFactoryidLessThanOrEqualTo(Integer value) {
            addCriterion("FactoryId <=", value, "factoryid");
            return (Criteria) this;
        }

        public Criteria andFactoryidIn(List<Integer> values) {
            addCriterion("FactoryId in", values, "factoryid");
            return (Criteria) this;
        }

        public Criteria andFactoryidNotIn(List<Integer> values) {
            addCriterion("FactoryId not in", values, "factoryid");
            return (Criteria) this;
        }

        public Criteria andFactoryidBetween(Integer value1, Integer value2) {
            addCriterion("FactoryId between", value1, value2, "factoryid");
            return (Criteria) this;
        }

        public Criteria andFactoryidNotBetween(Integer value1, Integer value2) {
            addCriterion("FactoryId not between", value1, value2, "factoryid");
            return (Criteria) this;
        }

        public Criteria andFactorynameIsNull() {
            addCriterion("FactoryName is null");
            return (Criteria) this;
        }

        public Criteria andFactorynameIsNotNull() {
            addCriterion("FactoryName is not null");
            return (Criteria) this;
        }

        public Criteria andFactorynameEqualTo(String value) {
            addCriterion("FactoryName =", value, "factoryname");
            return (Criteria) this;
        }

        public Criteria andFactorynameNotEqualTo(String value) {
            addCriterion("FactoryName <>", value, "factoryname");
            return (Criteria) this;
        }

        public Criteria andFactorynameGreaterThan(String value) {
            addCriterion("FactoryName >", value, "factoryname");
            return (Criteria) this;
        }

        public Criteria andFactorynameGreaterThanOrEqualTo(String value) {
            addCriterion("FactoryName >=", value, "factoryname");
            return (Criteria) this;
        }

        public Criteria andFactorynameLessThan(String value) {
            addCriterion("FactoryName <", value, "factoryname");
            return (Criteria) this;
        }

        public Criteria andFactorynameLessThanOrEqualTo(String value) {
            addCriterion("FactoryName <=", value, "factoryname");
            return (Criteria) this;
        }

        public Criteria andFactorynameLike(String value) {
            addCriterion("FactoryName like", value, "factoryname");
            return (Criteria) this;
        }

        public Criteria andFactorynameNotLike(String value) {
            addCriterion("FactoryName not like", value, "factoryname");
            return (Criteria) this;
        }

        public Criteria andFactorynameIn(List<String> values) {
            addCriterion("FactoryName in", values, "factoryname");
            return (Criteria) this;
        }

        public Criteria andFactorynameNotIn(List<String> values) {
            addCriterion("FactoryName not in", values, "factoryname");
            return (Criteria) this;
        }

        public Criteria andFactorynameBetween(String value1, String value2) {
            addCriterion("FactoryName between", value1, value2, "factoryname");
            return (Criteria) this;
        }

        public Criteria andFactorynameNotBetween(String value1, String value2) {
            addCriterion("FactoryName not between", value1, value2, "factoryname");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}